package com.fjhx.account.entity.account.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 账户资金流水表列表查询入参实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class AccountRunningWaterSelectDto extends BaseSelectDto {
    /**
     * 账户-管理表ID
     */
    private Long accountManagementId;

    /**
     * 币种（字典account_currency）
     */
    private String currency;

    /**
     * 收支类型：10 收入，20支出
     */
    private String status;

    /**
     * 模糊查询时使用
     */
    private String keyword;

    /**
     * 数据类型 1:到账认领
     */
    private Integer dataType;

    /**
     * 是否认领
     */
    private String isClaim;

    /**
     * 是否合同到账
     */
    private String received;

    /**
     * 交易开始金额
     */
    private BigDecimal beginAmount;

    /**
     * 交易结束金额
     */
    private BigDecimal endAmount;

    /**
     * 对方账户名称
     */
    private String name;

    /**
     * 备注
     */
    private String remarks;

}
