package com.fjhx.account.entity.account.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 请款表
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
@TableName("account_request_funds")
public class AccountRequestFunds extends BasePo {

    /**
     * 归属部门ID
     */
    private Long departmentId;


    /**
     * 归属公司ID
     */
    private Long corporationId;

    /**
     * 付款账户ID
     */
    private Long accountManagementId;

    /**
     * 用款时间
     */
    private Date paymentTime;

    /**
     * 用款备注
     */
    private String paymentRemarks;

    /**
     * 流程状态
     */
    private String status;

    /**
     * 请款类型（字典funds_type）
     */
    private String type;

    /**
     * 请款总额
     */
    private BigDecimal total;

    /**
     * 单据数量
     */
    private BigDecimal quantity;

    /**
     * 付款方式（字典funds_payment_method）
     */
    private String paymentMethod;

    /**
     * 户名
     */
    private String name;

    /**
     * 开户银行
     */
    private String openingBank;

    /**
     * 银行账号
     */
    private String accountOpening;

    /**
     * 联行号
     */
    private String interbankNumber;

    /**
     * 处理意见
     */
    private String remarks;

    /**
     * 币种（字典account_currency）
     */
    private String currency;

}
