package com.fjhx.purchase.entity.purchase.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.purchase.entity.purchase.po.Purchase;
import com.fjhx.purchase.entity.purchase.po.PurchaseDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 采购新增编辑入参实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class PurchaseDto extends Purchase {

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 已收发票金额
     */
    private BigDecimal invoiceAmount;

    /**
     * 到货金额
     */
    private BigDecimal arrivalAmount;

    /**
     * 到货币种
     */
    private String arrivalCurrency;

    /**
     * 已付款金额
     */
    private BigDecimal paidAmount;


    /**
     * 已付款币种
     */
    private String paidCurrency;

    /**
     * 附件信息
     */
    private List<ObsFile> fileList;

    /**
     * 采购明细列表
     */
    private List<PurchaseDetail> purchaseDetailList;

}
