package com.fjhx.victoriatourist.entity.logistics.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 物流信息
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
@TableName("logistics_infos")
public class LogisticsInfos extends BasePo {

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务编码
     */
    private String businessCode;

    /**
     * 业务类型（1采购进货(入库) 2京东订单出货(出库) 3销售订单出货(出库) 4(京东退货)）
     */
    private Integer businessType;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 采购进货 完成状态：0、未完成 / 未到货；1、已完成 / 已到货
     */
    private Integer status;

    /**
     * 采购进货 入库状态：10、未入库；20、部分入库；30、已入库
     */
    private Integer inStockStatus;

    /**
     * 物流单号
     */
    private String code;

    /**
     * 物流公司编码
     */
    private String logisticsCompanyCode;

    /**
     * 物流状态 -1未查询到快递信息 0在途，1揽收，2疑难，3签收，4退签，5派件，6退回，7转投，8清关，14拒签，15完成
     */
    private Integer logisticsStatus;

    /**
     * 是否是快递100 1是 0不是
     */
    private Integer isKd100;

    /**
     * 预约号
     */
    private String reservationCode;

    /**
     * 国家表id
     */
    private Long countryId;

    /**
     * 省份id
     */
    private Long provinceId;

    /**
     * 城市id
     */
    private Long cityId;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 业务id
     */
    private Long stockWaitId;

}
