package com.fjhx.victoriatourist.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.logistics.vo.LogisticsInfosVo;
import com.fjhx.victoriatourist.entity.purchase.dto.PurchaseBackDto;
import com.fjhx.victoriatourist.entity.purchase.dto.PurchaseBackSelectDto;
import com.fjhx.victoriatourist.entity.purchase.po.PurchaseBack;
import com.fjhx.victoriatourist.entity.purchase.vo.PurchaseBackVo;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsDto;
import com.fjhx.wms.entity.stock.dto.StockWaitDto;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 采购退货 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-19
 */
public interface PurchaseBackService extends BaseService<PurchaseBack> {

    /**
     * 采购退货分页
     */
    Page<PurchaseBackVo> getPage(PurchaseBackSelectDto dto);

    /**
     * 采购退货明细
     */
    PurchaseBackVo detail(Long id);

    /**
     * 采购退货新增
     */
    void add(PurchaseBackDto purchaseBackDto);

    /**
     * 采购退货待出库出库
     */
    void backOut(StockWaitDetailsDto stockWaitDetailsDto);

    /**
     * 采购退货待出库 多个
     */
    void backOuts (StockWaitDto stockWaitDto);

    /**
     * 采购退货id查物流信息
     */
    List<LogisticsInfosVo> getLogisticsInfo(Long purchaseBackId);
}
