package com.fjhx.wms.entity.stock.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 库存列表查询入参实体
 *
 * @author
 * @since 2023-03-20
 */
@Getter
@Setter
public class StockSelectDto extends BaseSelectDto {

    /**
     * 根据产品id列表过滤
     */
    private List<Long> productIds;

    /**
     * 产品定义
     */
    private Integer definition;

    /**
     * 数量排序 1升序 0倒序
     */
    private Integer quantitySort;
    /**
     * 冻结数量排序 1升序 0倒序
     */
    private Integer frozenQuantitySort;
    /**
     * 次品数量排序 1升序 0倒序
     */
    private Integer defectiveQuantitySort;
    /**
     * 按更新时间排序 1升序 0倒序
     */
    private Integer updateTimeSort;

    /**
     * 部门[项目组]id
     */
    private Long deptId;

    /**
     * 产品类型
     */
    private Integer type;

    /**
     * 是否组合
     */
    private String isCombination;

}
