package com.fjhx.wms.entity.stock.po;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 库存分析实体类
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class StockAnalysis {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 产品定义
     */
    private String productDefinition;

    /**
     * 产品类型
     */
    @ExcelProperty("商品类型")
    private String productType;

    /**
     * 产品编码
     */
    @ColumnWidth(20)
    @ExcelProperty("商品编码")
    private String productCustomCode;

    /**
     * 产品名称
     */
    @ColumnWidth(20)
    @ExcelProperty("商品名称")
    private String productName;

    /**
     * 规格型号
     */
    @ColumnWidth(20)
    @ExcelProperty("规格型号")
    private String productSpec;

    /**
     * 是否是组合
     */
    @ExcelProperty("是否组合")
    private String isCombination;

    /**
     * 管理部门名称
     */
    private Long deptId;

    /**
     * 管理部门名称
     */
    @ColumnWidth(20)
    @ExcelProperty("管理部门")
    private String deptName;

    /**
     * 待采购数量
     */
    @ExcelProperty("待采购数量")
    private BigDecimal purchaseWaitQuantity;

    /**
     * 待入库数量
     */
    @ExcelProperty("待入库数量")
    private BigDecimal stockWaitInQuantity;

    /**
     * 待出库数量
     */
    @ExcelProperty("待出库数量")
    private BigDecimal stockWaitOutQuantity;

    /**
     * 可支配数量
     */
    @ExcelProperty("可支配库存")
    private BigDecimal disposableQuantity;

    /**
     * 库存数量
     */
    @ExcelProperty("可用库存")
    private BigDecimal quantity;

    /**
     * 冻结数量
     */
    @ExcelProperty("冻结库存")
    private BigDecimal frozenQuantity;

    /**
     * 次品数量
     */
    @ExcelProperty("次品库存")
    private BigDecimal defectiveQuantity;

    /**
     * 京东在途数量
     */
    @ExcelProperty("京东在途")
    private BigDecimal jdInTransitQuantity;

    /**
     * 总数量
     */
    @ExcelProperty("总库存")
    private BigDecimal totalQuantity;

    /**
     * 结存单价
     */
    @ExcelProperty("结存单价")
    private BigDecimal unitPrice;

    /**
     * 库存金额
     */
    @ExcelProperty("库存金额")
    private BigDecimal amount;
}
