package com.fjhx.wms.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.po.Stock;
import com.fjhx.wms.entity.stock.po.StockAnalysis;
import com.fjhx.wms.entity.stock.vo.StockVo;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 库存 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
public interface StockMapper extends BaseMapper<Stock> {

    /**
     * 库存分页
     */
    Page<StockVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Stock> wrapper);

    Page<StockVo> pageByProduct(@Param("page") Page<Object> page, @Param("ew") IWrapper<Stock> wrapper);

    Page<StockVo> pageByProductSpu(@Param("page") Page<Object> page, @Param("ew") IWrapper<Stock> wrapper);

    /**
     * 获取库存产品部门列表
     */
    List<SysDept> getDepts();

    /**
     * 库存分析
     */
    Page<StockAnalysis> getStockAnalysisPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Stock> wrapper);

    /**
     * 库存分析列表
     */
    List<StockAnalysis> getStockAnalysisPage( @Param("ew") IWrapper<Stock> wrapper);

}
