package com.fjhx.wms.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.po.StockWait;
import com.fjhx.wms.entity.stock.vo.InStockWaitExportExcel;
import com.fjhx.wms.entity.stock.vo.StockWaitDetailsVo;
import com.fjhx.wms.entity.stock.vo.StockWaitVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 待出入库 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
public interface StockWaitMapper extends BaseMapper<StockWait> {

    /**
     * 待出入库分页
     */
    Page<StockWaitVo> getPage1(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockWait> wrapper);

    /**
     * 待出入库分页
     */
    Page<StockWaitVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockWait> wrapper);

    /**
     * 获取待出入库列表
     */
    List<StockWaitDetailsVo> getStockWaitList(@Param("ew") IWrapper<Object> wrapper);

    List<InStockWaitExportExcel> getInStockWaitExportExcel(@Param("ew") IWrapper wrapper);

}
